## freediams 0.4.2

=== Makefile ===
#############################################################################
# Makefile for building: freediams
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:01:00 2010
# Project:  freediams.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-freediams-libs \
		sub-freediams-plugins \
		sub-freediams

freediams/libs//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) freediams/libs/ || $(MKDIR) freediams/libs/ 
	cd freediams/libs/ && $(QMAKE) libs.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-libs-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) freediams/libs/ || $(MKDIR) freediams/libs/ 
	cd freediams/libs/ && $(QMAKE) libs.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-libs: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE)
sub-freediams-libs-make_default-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-libs-make_default: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-libs-make_first-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-libs-make_first: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-libs-all-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-libs-all: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-libs-clean-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-libs-clean: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-libs-distclean-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-libs-distclean: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-libs-install_subtargets-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-libs-install_subtargets: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-libs-uninstall_subtargets-ordered: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-freediams-libs-uninstall_subtargets: freediams/libs//$(MAKEFILE) FORCE
	cd freediams/libs/ && $(MAKE) -f $(MAKEFILE) uninstall
freediams/plugins//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) freediams/plugins/ || $(MKDIR) freediams/plugins/ 
	cd freediams/plugins/ && $(QMAKE) plugins.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-plugins-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) freediams/plugins/ || $(MKDIR) freediams/plugins/ 
	cd freediams/plugins/ && $(QMAKE) plugins.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-plugins: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE)
sub-freediams-plugins-make_default-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-make_default-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-plugins-make_default: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-plugins-make_first-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-make_first-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-plugins-make_first: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-plugins-all-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-all-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-plugins-all: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-plugins-clean-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-clean-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-plugins-clean: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-plugins-distclean-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-distclean-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-plugins-distclean: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-plugins-install_subtargets-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-install_subtargets-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-plugins-install_subtargets: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-plugins-uninstall_subtargets-ordered: freediams/plugins//$(MAKEFILE) sub-freediams-libs-uninstall_subtargets-ordered  FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-freediams-plugins-uninstall_subtargets: freediams/plugins//$(MAKEFILE) FORCE
	cd freediams/plugins/ && $(MAKE) -f $(MAKEFILE) uninstall
freediams//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) freediams/ || $(MKDIR) freediams/ 
	cd freediams/ && $(QMAKE) freediams.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) freediams/ || $(MKDIR) freediams/ 
	cd freediams/ && $(QMAKE) freediams.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-freediams: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE)
sub-freediams-make_default-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-make_default-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-make_default: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) 
sub-freediams-make_first-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-make_first-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-make_first: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) first
sub-freediams-all-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-all-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-all: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) all
sub-freediams-clean-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-clean-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-clean: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) clean
sub-freediams-distclean-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-distclean-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-distclean: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) distclean
sub-freediams-install_subtargets-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-install_subtargets-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-install_subtargets: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) install
sub-freediams-uninstall_subtargets-ordered: freediams//$(MAKEFILE) sub-freediams-plugins-uninstall_subtargets-ordered  FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-freediams-uninstall_subtargets: freediams//$(MAKEFILE) FORCE
	cd freediams/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: freediams.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		checkqtversion.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
checkqtversion.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro

qmake_all: sub-freediams-libs-qmake_all sub-freediams-plugins-qmake_all sub-freediams-qmake_all FORCE

make_default: sub-freediams-libs-make_default-ordered sub-freediams-plugins-make_default-ordered sub-freediams-make_default-ordered FORCE
make_first: sub-freediams-libs-make_first-ordered sub-freediams-plugins-make_first-ordered sub-freediams-make_first-ordered FORCE
all: sub-freediams-libs-all-ordered sub-freediams-plugins-all-ordered sub-freediams-all-ordered FORCE
clean: sub-freediams-libs-clean-ordered sub-freediams-plugins-clean-ordered sub-freediams-clean-ordered FORCE
distclean: sub-freediams-libs-distclean-ordered sub-freediams-plugins-distclean-ordered sub-freediams-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-freediams-libs-install_subtargets-ordered sub-freediams-plugins-install_subtargets-ordered sub-freediams-install_subtargets-ordered FORCE
uninstall_subtargets: sub-freediams-libs-uninstall_subtargets-ordered sub-freediams-plugins-uninstall_subtargets-ordered sub-freediams-uninstall_subtargets-ordered FORCE
