=== freediams/Makefile ===
#############################################################################
# Makefile for building: ../bin/freediams
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:01:00 2010
# Project:  freediams.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DBINARY_NAME="\"freediams\"" -DPACKAGE_VERSION="\"0.4.2\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams\"" -DRELEASE -DINSTALL_BINARY_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin\"" -DINSTALL_LIBS_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams\"" -DINSTALL_PLUGINS_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams\"" -DINSTALL_RESOURCES_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//share/freediams\"" -DINSTALL_DESKTOP_FILES_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//share/applications/\"" -DINSTALL_QT_PLUGINS_PATH="\"\"" -DFREEDIAMS -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../plugins -I../libs -I../contrib -I/usr/X11R6/include -I../build/freediams/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lAggregation -lExtensionSystem -lTranslationUtils -lUtils -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = cp -a
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../build/freediams/.obj/unix/

####### Files

SOURCES       = main.cpp 
OBJECTS       = ../build/freediams/.obj/unix/main.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../buildspecs/config_paths.pri \
		../buildspecs/config_linux.pri \
		../config.pri \
		../buildspecs/install_linux.pri \
		../buildspecs/install.pri \
		../libs/aggregation.pri \
		../libs/extensionsystem_dependencies.pri \
		../libs/extensionsystem.pri \
		../libs/translationutils.pri \
		../libs/utils_dependencies.pri \
		../libs/utils.pri \
		../libs/rpath.pri \
		../doc/manual-di.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		freediams.pro
QMAKE_TARGET  = freediams
DESTDIR       = ../bin/
TARGET        = ../bin/freediams

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): en_html_docs fr_html_docs $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: freediams.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../buildspecs/config_paths.pri \
		../buildspecs/config_linux.pri \
		../config.pri \
		../buildspecs/install_linux.pri \
		../buildspecs/install.pri \
		../libs/aggregation.pri \
		../libs/extensionsystem_dependencies.pri \
		../libs/extensionsystem.pri \
		../libs/translationutils.pri \
		../libs/utils_dependencies.pri \
		../libs/utils.pri \
		../libs/rpath.pri \
		../doc/manual-di.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../buildspecs/config_paths.pri:
../buildspecs/config_linux.pri:
../config.pri:
../buildspecs/install_linux.pri:
../buildspecs/install.pri:
../libs/aggregation.pri:
../libs/extensionsystem_dependencies.pri:
../libs/extensionsystem.pri:
../libs/translationutils.pri:
../libs/utils_dependencies.pri:
../libs/utils.pri:
../libs/rpath.pri:
../doc/manual-di.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile freediams.pro

dist: 
	@$(CHK_DIR_EXISTS) ../build/freediams/.obj/unix/freediams1.0.0 || $(MKDIR) ../build/freediams/.obj/unix/freediams1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../build/freediams/.obj/unix/freediams1.0.0/ && $(COPY_FILE) --parents main.cpp ../build/freediams/.obj/unix/freediams1.0.0/ && (cd `dirname ../build/freediams/.obj/unix/freediams1.0.0` && $(TAR) freediams1.0.0.tar freediams1.0.0 && $(COMPRESS) freediams1.0.0.tar) && $(MOVE) `dirname ../build/freediams/.obj/unix/freediams1.0.0`/freediams1.0.0.tar.gz . && $(DEL_FILE) -r ../build/freediams/.obj/unix/freediams1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


en_html_docs:
	/usr/bin/doxygen /home/eric/Bureau/pack/freediams-0.4.2/doc/usermanual/freediams/Doxyfile_en

fr_html_docs:
	/usr/bin/doxygen /home/eric/Bureau/pack/freediams-0.4.2/doc/usermanual/freediams/Doxyfile_fr

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

../build/freediams/.obj/unix/main.o: main.cpp ../libs/extensionsystem/pluginmanager.h \
		../libs/extensionsystem/extensionsystem_global.h \
		../libs/aggregation/aggregate.h \
		../libs/aggregation/aggregation_global.h \
		../libs/extensionsystem/pluginspec.h \
		../libs/extensionsystem/iplugin.h \
		../libs/utils/log.h \
		../libs/utils/global_exporter.h \
		../libs/utils/database.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/freediams/.obj/unix/main.o main.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin/ || $(MKDIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin/ 
	-$(INSTALL_PROGRAM) "../bin/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//bin/ 


install_applibs: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/ || $(MKDIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/ 
	-$(INSTALL_FILE) /home/eric/Bureau/pack/freediams-0.4.2/bin/plugins/*so*.1 $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/


uninstall_applibs:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/*so*.1
	-$(DEL_DIR) $(INSTALL_ROOT)/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/freediams/ 


install_plugs: first FORCE
