=== contrib/quazip/Makefile ===
#############################################################################
# Makefile for building: quazip
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  quazip.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile quazip.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-quazip

quazip//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) quazip/ || $(MKDIR) quazip/ 
	cd quazip/ && $(QMAKE) quazip.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-quazip-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) quazip/ || $(MKDIR) quazip/ 
	cd quazip/ && $(QMAKE) quazip.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-quazip: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE)
sub-quazip-make_default: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) 
sub-quazip-make_first: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) first
sub-quazip-all: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) all
sub-quazip-clean: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) clean
sub-quazip-distclean: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) distclean
sub-quazip-install_subtargets: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) install
sub-quazip-uninstall_subtargets: quazip//$(MAKEFILE) FORCE
	cd quazip/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: quazip.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile quazip.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile quazip.pro

qmake_all: sub-quazip-qmake_all FORCE

make_default: sub-quazip-make_default FORCE
make_first: sub-quazip-make_first FORCE
all: sub-quazip-all FORCE
clean: sub-quazip-clean FORCE
distclean: sub-quazip-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-quazip-install_subtargets FORCE
uninstall_subtargets: sub-quazip-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:
