=== freediams/libs/Makefile ===
#############################################################################
# Makefile for building: libs
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  libs.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile libs.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-------libs-aggregation \
		sub-------libs-extensionsystem \
		sub-------libs-translationutils \
		sub-------libs-utils \
		sub-------libs-medintuxutils \
		sub-------libs-medicalutils \
		sub-------contrib-quazip

../../libs/aggregation//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/aggregation/ || $(MKDIR) ../../libs/aggregation/ 
	cd ../../libs/aggregation/ && $(QMAKE) aggregation.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-aggregation-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/aggregation/ || $(MKDIR) ../../libs/aggregation/ 
	cd ../../libs/aggregation/ && $(QMAKE) aggregation.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-aggregation: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-aggregation-make_default-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-aggregation-make_default: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-aggregation-make_first-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-aggregation-make_first: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-aggregation-all-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-aggregation-all: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-aggregation-clean-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-aggregation-clean: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-aggregation-distclean-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-aggregation-distclean: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-aggregation-install_subtargets-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-aggregation-install_subtargets: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-aggregation-uninstall_subtargets-ordered: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-------libs-aggregation-uninstall_subtargets: ../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) uninstall
../../libs/extensionsystem//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/extensionsystem/ || $(MKDIR) ../../libs/extensionsystem/ 
	cd ../../libs/extensionsystem/ && $(QMAKE) extensionsystem.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-extensionsystem-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/extensionsystem/ || $(MKDIR) ../../libs/extensionsystem/ 
	cd ../../libs/extensionsystem/ && $(QMAKE) extensionsystem.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-extensionsystem: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-extensionsystem-make_default-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-make_default-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-extensionsystem-make_default: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-extensionsystem-make_first-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-make_first-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-extensionsystem-make_first: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-extensionsystem-all-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-all-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-extensionsystem-all: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-extensionsystem-clean-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-clean-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-extensionsystem-clean: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-extensionsystem-distclean-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-distclean-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-extensionsystem-distclean: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-extensionsystem-install_subtargets-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-install_subtargets-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-extensionsystem-install_subtargets: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-extensionsystem-uninstall_subtargets-ordered: ../../libs/extensionsystem//$(MAKEFILE) sub-------libs-aggregation-uninstall_subtargets-ordered  FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-------libs-extensionsystem-uninstall_subtargets: ../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) uninstall
../../libs/translationutils//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/translationutils/ || $(MKDIR) ../../libs/translationutils/ 
	cd ../../libs/translationutils/ && $(QMAKE) translationutils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-translationutils-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/translationutils/ || $(MKDIR) ../../libs/translationutils/ 
	cd ../../libs/translationutils/ && $(QMAKE) translationutils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-translationutils: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-translationutils-make_default-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-make_default-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-translationutils-make_default: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-translationutils-make_first-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-make_first-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-translationutils-make_first: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) first
sub-------libs-translationutils-all-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-all-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-translationutils-all: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) all
sub-------libs-translationutils-clean-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-clean-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-translationutils-clean: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) clean
sub-------libs-translationutils-distclean-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-distclean-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-translationutils-distclean: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------libs-translationutils-install_subtargets-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-install_subtargets-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-translationutils-install_subtargets: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) install
sub-------libs-translationutils-uninstall_subtargets-ordered: ../../libs/translationutils//$(MAKEFILE) sub-------libs-extensionsystem-uninstall_subtargets-ordered  FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-------libs-translationutils-uninstall_subtargets: ../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) uninstall
../../libs/utils//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../libs/utils/ || $(MKDIR) ../../libs/utils/ 
	cd ../../libs/utils/ && $(QMAKE) utils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-utils-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../libs/utils/ || $(MKDIR) ../../libs/utils/ 
	cd ../../libs/utils/ && $(QMAKE) utils.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------libs-utils: ../../libs/utils//$(MAKEFILE) FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE)
sub-------libs-utils-make_default-ordered: ../../libs/utils//$(MAKEFILE) sub-------libs-translationutils-make_default-ordered  FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-utils-make_default: ../../libs/utils//$(MAKEFILE) FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE) 
sub-------libs-utils-make_first-ordered: ../../libs/utils//$(MAKEFILE) sub-------libs-translationutils-make_first-ordered  FORCE
	cd ../../libs/utils/ && $(MAKE) -f $(MAKEFILE) first
