=== freediams/plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:01:00 2010
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-------plugins-fdcoreplugin \
		sub-------plugins-fdmainwindowplugin \
		sub-fdprinterplugin \
		sub-fdtexteditorplugin \
		sub-fddrugsplugin \
		sub-fddrugsbaseplugin \
		sub-------plugins-templatesplugin \
		sub-------plugins-listviewplugin \
		sub-------plugins-saverestoreplugin

../../plugins/fdcoreplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../plugins/fdcoreplugin/ || $(MKDIR) ../../plugins/fdcoreplugin/ 
	cd ../../plugins/fdcoreplugin/ && $(QMAKE) fdcoreplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdcoreplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../plugins/fdcoreplugin/ || $(MKDIR) ../../plugins/fdcoreplugin/ 
	cd ../../plugins/fdcoreplugin/ && $(QMAKE) fdcoreplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdcoreplugin: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE)
sub-------plugins-fdcoreplugin-make_default: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-------plugins-fdcoreplugin-make_first: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-------plugins-fdcoreplugin-all: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-------plugins-fdcoreplugin-clean: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-------plugins-fdcoreplugin-distclean: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------plugins-fdcoreplugin-install_subtargets: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-------plugins-fdcoreplugin-uninstall_subtargets: ../../plugins/fdcoreplugin//$(MAKEFILE) FORCE
	cd ../../plugins/fdcoreplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
../../plugins/fdmainwindowplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../plugins/fdmainwindowplugin/ || $(MKDIR) ../../plugins/fdmainwindowplugin/ 
	cd ../../plugins/fdmainwindowplugin/ && $(QMAKE) fdmainwindowplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdmainwindowplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../plugins/fdmainwindowplugin/ || $(MKDIR) ../../plugins/fdmainwindowplugin/ 
	cd ../../plugins/fdmainwindowplugin/ && $(QMAKE) fdmainwindowplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-------plugins-fdmainwindowplugin: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin \
		sub-fddrugsplugin \
		sub-fdprinterplugin \
		sub-------plugins-templatesplugin FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE)
sub-------plugins-fdmainwindowplugin-make_default: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_default sub-fddrugsplugin-make_default sub-fdprinterplugin-make_default sub-------plugins-templatesplugin-make_default FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-------plugins-fdmainwindowplugin-make_first: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_first sub-fddrugsplugin-make_first sub-fdprinterplugin-make_first sub-------plugins-templatesplugin-make_first FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-------plugins-fdmainwindowplugin-all: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-all sub-fddrugsplugin-all sub-fdprinterplugin-all sub-------plugins-templatesplugin-all FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-------plugins-fdmainwindowplugin-clean: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-clean sub-fddrugsplugin-clean sub-fdprinterplugin-clean sub-------plugins-templatesplugin-clean FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-------plugins-fdmainwindowplugin-distclean: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-distclean sub-fddrugsplugin-distclean sub-fdprinterplugin-distclean sub-------plugins-templatesplugin-distclean FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-------plugins-fdmainwindowplugin-install_subtargets: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-install_subtargets sub-fddrugsplugin-install_subtargets sub-fdprinterplugin-install_subtargets sub-------plugins-templatesplugin-install_subtargets FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-------plugins-fdmainwindowplugin-uninstall_subtargets: ../../plugins/fdmainwindowplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-uninstall_subtargets sub-fddrugsplugin-uninstall_subtargets sub-fdprinterplugin-uninstall_subtargets sub-------plugins-templatesplugin-uninstall_subtargets FORCE
	cd ../../plugins/fdmainwindowplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
fdprinterplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) fdprinterplugin/ || $(MKDIR) fdprinterplugin/ 
	cd fdprinterplugin/ && $(QMAKE) fdprinterplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdprinterplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) fdprinterplugin/ || $(MKDIR) fdprinterplugin/ 
	cd fdprinterplugin/ && $(QMAKE) fdprinterplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdprinterplugin: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin \
		sub-fdtexteditorplugin FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE)
sub-fdprinterplugin-make_default: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_default sub-fdtexteditorplugin-make_default FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-fdprinterplugin-make_first: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_first sub-fdtexteditorplugin-make_first FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-fdprinterplugin-all: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-all sub-fdtexteditorplugin-all FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-fdprinterplugin-clean: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-clean sub-fdtexteditorplugin-clean FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-fdprinterplugin-distclean: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-distclean sub-fdtexteditorplugin-distclean FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-fdprinterplugin-install_subtargets: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-install_subtargets sub-fdtexteditorplugin-install_subtargets FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-fdprinterplugin-uninstall_subtargets: fdprinterplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-uninstall_subtargets sub-fdtexteditorplugin-uninstall_subtargets FORCE
	cd fdprinterplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
fdtexteditorplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) fdtexteditorplugin/ || $(MKDIR) fdtexteditorplugin/ 
	cd fdtexteditorplugin/ && $(QMAKE) fdtexteditorplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdtexteditorplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) fdtexteditorplugin/ || $(MKDIR) fdtexteditorplugin/ 
	cd fdtexteditorplugin/ && $(QMAKE) fdtexteditorplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fdtexteditorplugin: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE)
sub-fdtexteditorplugin-make_default: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_default FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-fdtexteditorplugin-make_first: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-make_first FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-fdtexteditorplugin-all: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-all FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-fdtexteditorplugin-clean: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-clean FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-fdtexteditorplugin-distclean: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-distclean FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-fdtexteditorplugin-install_subtargets: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-install_subtargets FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-fdtexteditorplugin-uninstall_subtargets: fdtexteditorplugin//$(MAKEFILE) sub-------plugins-fdcoreplugin-uninstall_subtargets FORCE
	cd fdtexteditorplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
fddrugsplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) fddrugsplugin/ || $(MKDIR) fddrugsplugin/ 
	cd fddrugsplugin/ && $(QMAKE) fddrugsplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fddrugsplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) fddrugsplugin/ || $(MKDIR) fddrugsplugin/ 
	cd fddrugsplugin/ && $(QMAKE) fddrugsplugin.pro -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o $(MAKEFILE)
sub-fddrugsplugin: fddrugsplugin//$(MAKEFILE) sub-fddrugsbaseplugin \
		sub-------plugins-fdcoreplugin \
		sub-------plugins-listviewplugin \
		sub-fdtexteditorplugin \
		sub-------plugins-templatesplugin FORCE
	cd fddrugsplugin/ && $(MAKE) -f $(MAKEFILE)
sub-fddrugsplugin-make_default: fddrugsplugin//$(MAKEFILE) sub-fddrugsbaseplugin-make_default sub-------plugins-fdcoreplugin-make_default sub-------plugins-listviewplugin-make_default sub-fdtexteditorplugin-make_default sub-------plugins-templatesplugin-make_default FORCE
	cd fddrugsplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-fddrugsplugin-make_first: fddrugsplugin//$(MAKEFILE) sub-fddrugsbaseplugin-make_first sub-------plugins-fdcoreplugin-make_first sub-------plugins-listviewplugin-make_first sub-fdtexteditorplugin-make_first sub-------plugins-templatesplugin-make_first FORCE
	cd fddrugsplugin/ && $(MAKE) -f $(MAKEFILE) first
