=== libs/extensionsystem/Makefile ===
#############################################################################
# Makefile for building: libExtensionSystem.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  extensionsystem.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile extensionsystem.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DEXTENSIONSYSTEM_LIBRARY -DBINARY_NAME="\"ExtensionSystem\"" -DPACKAGE_VERSION="\"\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/ExtensionSystem\"" -DRELEASE -DIDE_TEST_DIR=\"\" -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/ExtensionSystem/.moc -I../../build/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libExtensionSystem.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lAggregation -ldl -lXext -lX11 -lm -lpthread -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/ExtensionSystem/.obj/unix/

####### Files

SOURCES       = pluginerrorview.cpp \
		plugindetailsview.cpp \
		iplugin.cpp \
		pluginmanager.cpp \
		pluginspec.cpp \
		pluginview.cpp \
		optionsparser.cpp ../../build/ExtensionSystem/.moc/moc_pluginerrorview.cpp \
		../../build/ExtensionSystem/.moc/moc_plugindetailsview.cpp \
		../../build/ExtensionSystem/.moc/moc_iplugin.cpp \
		../../build/ExtensionSystem/.moc/moc_pluginmanager.cpp \
		../../build/ExtensionSystem/.moc/moc_pluginspec_p.cpp \
		../../build/ExtensionSystem/.moc/moc_pluginview.cpp \
		../../build/ExtensionSystem/.rcc/qrc_pluginview.cpp
OBJECTS       = ../../build/ExtensionSystem/.obj/unix/pluginerrorview.o \
		../../build/ExtensionSystem/.obj/unix/plugindetailsview.o \
		../../build/ExtensionSystem/.obj/unix/iplugin.o \
		../../build/ExtensionSystem/.obj/unix/pluginmanager.o \
		../../build/ExtensionSystem/.obj/unix/pluginspec.o \
		../../build/ExtensionSystem/.obj/unix/pluginview.o \
		../../build/ExtensionSystem/.obj/unix/optionsparser.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginerrorview.o \
		../../build/ExtensionSystem/.obj/unix/moc_plugindetailsview.o \
		../../build/ExtensionSystem/.obj/unix/moc_iplugin.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginmanager.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginspec_p.o \
		../../build/ExtensionSystem/.obj/unix/moc_pluginview.o \
		../../build/ExtensionSystem/.obj/unix/qrc_pluginview.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../aggregation.pri \
		../extensionsystem_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		extensionsystem.pro
QMAKE_TARGET  = ExtensionSystem
DESTDIR       = ../../bin/plugins/
TARGET        = libExtensionSystem.so.1.0.0
TARGETA       = ../../bin/plugins/libExtensionSystem.a
TARGETD       = libExtensionSystem.so.1.0.0
TARGET0       = libExtensionSystem.so
TARGET1       = libExtensionSystem.so.1
TARGET2       = libExtensionSystem.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET): ../../build/.ui/ui_pluginview.h ../../build/.ui/ui_pluginerrorview.h ../../build/.ui/ui_plugindetailsview.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA): ../../build/.ui/ui_pluginview.h ../../build/.ui/ui_pluginerrorview.h ../../build/.ui/ui_plugindetailsview.h $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: extensionsystem.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../aggregation.pri \
		../extensionsystem_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile extensionsystem.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../aggregation.pri:
../extensionsystem_dependencies.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile extensionsystem.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0 || $(MKDIR) ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginerrorview.h plugindetailsview.h iplugin.h iplugin_p.h extensionsystem_global.h pluginmanager.h pluginmanager_p.h pluginspec.h pluginspec_p.h pluginview.h pluginview_p.h optionsparser.h ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginview.qrc ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginerrorview.cpp plugindetailsview.cpp iplugin.cpp pluginmanager.cpp pluginspec.cpp pluginview.cpp optionsparser.cpp ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && $(COPY_FILE) --parents pluginview.ui pluginerrorview.ui plugindetailsview.ui ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0/ && (cd `dirname ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0` && $(TAR) ExtensionSystem1.0.0.tar ExtensionSystem1.0.0 && $(COMPRESS) ExtensionSystem1.0.0.tar) && $(MOVE) `dirname ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0`/ExtensionSystem1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/ExtensionSystem/.obj/unix/ExtensionSystem1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../build/ExtensionSystem/.moc/moc_pluginerrorview.cpp ../../build/ExtensionSystem/.moc/moc_plugindetailsview.cpp ../../build/ExtensionSystem/.moc/moc_iplugin.cpp ../../build/ExtensionSystem/.moc/moc_pluginmanager.cpp ../../build/ExtensionSystem/.moc/moc_pluginspec_p.cpp ../../build/ExtensionSystem/.moc/moc_pluginview.cpp
compiler_moc_header_clean:
