=== libs/medicalutils/Makefile ===
#############################################################################
# Makefile for building: libMedicalUtils.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  medicalutils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medicalutils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMEDICALUTILS_LIBRARY -DBINARY_NAME="\"MedicalUtils\"" -DPACKAGE_VERSION="\"0.0.2\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/MedicalUtils\"" -DRELEASE -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/MedicalUtils/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libMedicalUtils.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lTranslationUtils -lXext -lX11 -lm -lpthread -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/MedicalUtils/.obj/unix/

####### Files

SOURCES       = aggir/girscore.cpp \
		global.cpp 
OBJECTS       = ../../build/MedicalUtils/.obj/unix/girscore.o \
		../../build/MedicalUtils/.obj/unix/global.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		aggir/aggir.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		medicalutils.pro
QMAKE_TARGET  = MedicalUtils
DESTDIR       = ../../bin/plugins/
TARGET        = libMedicalUtils.so.1.0.0
TARGETA       = ../../bin/plugins/libMedicalUtils.a
TARGETD       = libMedicalUtils.so.1.0.0
TARGET0       = libMedicalUtils.so
TARGET1       = libMedicalUtils.so.1
TARGET2       = libMedicalUtils.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: medicalutils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		aggir/aggir.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medicalutils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../translationutils.pri:
aggir/aggir.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medicalutils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0 || $(MKDIR) ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0/ && $(COPY_FILE) --parents aggir/girscore.h global.h medical_exporter.h ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0/ && $(COPY_FILE) --parents aggir/girscore.cpp global.cpp ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0/ && (cd `dirname ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0` && $(TAR) MedicalUtils1.0.0.tar MedicalUtils1.0.0 && $(COMPRESS) MedicalUtils1.0.0.tar) && $(MOVE) `dirname ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0`/MedicalUtils1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/MedicalUtils/.obj/unix/MedicalUtils1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

../../build/MedicalUtils/.obj/unix/girscore.o: aggir/girscore.cpp aggir/girscore.h \
		medical_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedicalUtils/.obj/unix/girscore.o aggir/girscore.cpp

../../build/MedicalUtils/.obj/unix/global.o: global.cpp global.h \
		medical_exporter.h \
		aggir/girscore.h \
		../translationutils/constanttranslations.h \
		../translationutils/translationutils_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedicalUtils/.obj/unix/global.o global.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
