=== libs/medintuxutils/Makefile ===
#############################################################################
# Makefile for building: libMedinTux.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  medintuxutils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medintuxutils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DBINARY_NAME="\"MedinTux\"" -DPACKAGE_VERSION="\"0.1.0\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/MedinTux\"" -DRELEASE -DMEDINTUX_LIBRARY -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/MedinTux/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libMedinTux.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lTranslationUtils -lUtils -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/MedinTux/.obj/unix/

####### Files

SOURCES       = configuration.cpp ../../build/MedinTux/.moc/moc_configuration.cpp
OBJECTS       = ../../build/MedinTux/.obj/unix/configuration.o \
		../../build/MedinTux/.obj/unix/moc_configuration.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		../utils.pri \
		../medintuxutils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		medintuxutils.pro
QMAKE_TARGET  = MedinTux
DESTDIR       = ../../bin/plugins/
TARGET        = libMedinTux.so.1.0.0
TARGETA       = ../../bin/plugins/libMedinTux.a
TARGETD       = libMedinTux.so.1.0.0
TARGET0       = libMedinTux.so
TARGET1       = libMedinTux.so.1
TARGET2       = libMedinTux.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: medintuxutils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		../utils.pri \
		../medintuxutils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medintuxutils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../translationutils.pri:
../utils_dependencies.pri:
../utils.pri:
../medintuxutils_dependencies.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile medintuxutils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/MedinTux/.obj/unix/MedinTux1.0.0 || $(MKDIR) ../../build/MedinTux/.obj/unix/MedinTux1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && $(COPY_FILE) --parents configuration.h medintux_exporter.h ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && $(COPY_FILE) --parents configuration.cpp ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && $(COPY_FILE) --parents /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/medintuxtoolkit_fr.ts /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/medintuxtoolkit_de.ts /home/eric/Bureau/pack/freediams-0.4.2/global_resources/translations/medintuxtoolkit_es.ts ../../build/MedinTux/.obj/unix/MedinTux1.0.0/ && (cd `dirname ../../build/MedinTux/.obj/unix/MedinTux1.0.0` && $(TAR) MedinTux1.0.0.tar MedinTux1.0.0 && $(COMPRESS) MedinTux1.0.0.tar) && $(MOVE) `dirname ../../build/MedinTux/.obj/unix/MedinTux1.0.0`/MedinTux1.0.0.tar.gz . && $(DEL_FILE) -r ../../build/MedinTux/.obj/unix/MedinTux1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../bin/plugins/$(TARGET) 
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0) ../../bin/plugins/$(TARGET1) ../../bin/plugins/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../../build/MedinTux/.moc/moc_configuration.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../../build/MedinTux/.moc/moc_configuration.cpp
../../build/MedinTux/.moc/moc_configuration.cpp: medintux_exporter.h \
		configuration.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) configuration.h -o ../../build/MedinTux/.moc/moc_configuration.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

../../build/MedinTux/.obj/unix/configuration.o: configuration.cpp configuration.h \
		medintux_exporter.h \
		../utils/log.h \
		../utils/global_exporter.h \
		../utils/global.h \
		../utils/licenseterms.h \
		../translationutils/constanttranslations.h \
		../translationutils/translationutils_exporter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedinTux/.obj/unix/configuration.o configuration.cpp

../../build/MedinTux/.obj/unix/moc_configuration.o: ../../build/MedinTux/.moc/moc_configuration.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../build/MedinTux/.obj/unix/moc_configuration.o ../../build/MedinTux/.moc/moc_configuration.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
