=== libs/utils/Makefile ===
#############################################################################
# Makefile for building: libUtils.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:55 2010
# Project:  utils.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile utils.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUTILS_LIBRARY -DBINARY_NAME="\"Utils\"" -DPACKAGE_VERSION="\"0.4.0\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/Utils\"" -DRELEASE -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/Utils/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:plugins/:/usr/lib/freediams' -Wl,-O1 -shared -Wl,-soname,libUtils.so.1
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lTranslationUtils -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/Utils/.obj/unix/

####### Files

SOURCES       = global.cpp \
		database.cpp \
		log.cpp \
		updatechecker.cpp \
		messagesender.cpp \
		licenseterms.cpp \
		serializer.cpp \
		widgets/scrollingwidget.cpp \
		widgets/lineeditechoswitcher.cpp \
		widgets/QButtonLineEdit.cpp \
		widgets/colorbuttonchooser.cpp \
		widgets/spinboxdelegate.cpp \
		randomizer.cpp \
		stylehelper.cpp \
		widgets/styledbar.cpp \
		widgets/fancyactionbar.cpp \
		widgets/fancytabwidget.cpp \
		widgets/minisplitter.cpp ../../build/Utils/.moc/moc_updatechecker_p.cpp \
		../../build/Utils/.moc/moc_updatechecker.cpp \
		../../build/Utils/.moc/moc_messagesender.cpp \
		../../build/Utils/.moc/moc_scrollingwidget.cpp \
		../../build/Utils/.moc/moc_lineeditechoswitcher.cpp \
		../../build/Utils/.moc/moc_QButtonLineEdit.cpp \
		../../build/Utils/.moc/moc_QPixLineEdit.cpp \
		../../build/Utils/.moc/moc_colorbuttonchooser.cpp \
		../../build/Utils/.moc/moc_spinboxdelegate.cpp \
		../../build/Utils/.moc/moc_fancyactionbar.cpp \
		../../build/Utils/.moc/moc_fancytabwidget.cpp
OBJECTS       = ../../build/Utils/.obj/unix/global.o \
		../../build/Utils/.obj/unix/database.o \
		../../build/Utils/.obj/unix/log.o \
		../../build/Utils/.obj/unix/updatechecker.o \
		../../build/Utils/.obj/unix/messagesender.o \
		../../build/Utils/.obj/unix/licenseterms.o \
		../../build/Utils/.obj/unix/serializer.o \
		../../build/Utils/.obj/unix/scrollingwidget.o \
		../../build/Utils/.obj/unix/lineeditechoswitcher.o \
		../../build/Utils/.obj/unix/QButtonLineEdit.o \
		../../build/Utils/.obj/unix/colorbuttonchooser.o \
		../../build/Utils/.obj/unix/spinboxdelegate.o \
		../../build/Utils/.obj/unix/randomizer.o \
		../../build/Utils/.obj/unix/stylehelper.o \
		../../build/Utils/.obj/unix/styledbar.o \
		../../build/Utils/.obj/unix/fancyactionbar.o \
		../../build/Utils/.obj/unix/fancytabwidget.o \
		../../build/Utils/.obj/unix/minisplitter.o \
		../../build/Utils/.obj/unix/moc_updatechecker_p.o \
		../../build/Utils/.obj/unix/moc_updatechecker.o \
		../../build/Utils/.obj/unix/moc_messagesender.o \
		../../build/Utils/.obj/unix/moc_scrollingwidget.o \
		../../build/Utils/.obj/unix/moc_lineeditechoswitcher.o \
		../../build/Utils/.obj/unix/moc_QButtonLineEdit.o \
		../../build/Utils/.obj/unix/moc_QPixLineEdit.o \
		../../build/Utils/.obj/unix/moc_colorbuttonchooser.o \
		../../build/Utils/.obj/unix/moc_spinboxdelegate.o \
		../../build/Utils/.obj/unix/moc_fancyactionbar.o \
		../../build/Utils/.obj/unix/moc_fancytabwidget.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		utils.pro
QMAKE_TARGET  = Utils
DESTDIR       = ../../bin/plugins/
TARGET        = libUtils.so.1.0.0
TARGETA       = ../../bin/plugins/libUtils.a
TARGETD       = libUtils.so.1.0.0
TARGET0       = libUtils.so
TARGET1       = libUtils.so.1
TARGET2       = libUtils.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET0)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET1)
	-$(DEL_FILE) ../../bin/plugins/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../bin/plugins/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: utils.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../rpath.pri \
		../libsworkbench.pri \
		../translationutils.pri \
		../utils_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/dll.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile utils.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../buildspecs/config_paths.pri:
../../buildspecs/config_linux.pri:
../../config.pri:
../rpath.pri:
../libsworkbench.pri:
../translationutils.pri:
../utils_dependencies.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/dll.prf:
/usr/share/qt4/mkspecs/features/shared.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile utils.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../build/Utils/.obj/unix/Utils1.0.0 || $(MKDIR) ../../build/Utils/.obj/unix/Utils1.0.0
