=== plugins/fdcoreplugin/Makefile ===
#############################################################################
# Makefile for building: libCore.so
# Generated by qmake (2.01a) (Qt 4.5.2) on: ven. juil. 9 00:00:56 2010
# Project:  fdcoreplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -config release CONFIG+=LINUX_INTEGRATED INSTALL_ROOT_PATH=/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr/ -o Makefile fdcoreplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DFREEDIAMS -DBINARY_NAME="\"Core\"" -DPACKAGE_VERSION="\"0.0.2\"" -DLINUX_INTEGRATED -DLINUX_QT_PATH="\"/usr/lib\"" -DLINUX_QT_PLUGINS_PATH="\"/usr/lib/qt4/plugins\"" -DLIBRARY_BASENAME="\"lib\"" -DLINUX_PLUGIN_PATH="\"/home/eric/Bureau/pack/freediams-0.4.2/debian/freediams/usr//lib/Core\"" -DRELEASE -DCORE_LIBRARY -DQT_NO_DEBUG -DQT_PLUGIN -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../plugins -I../../libs -I../../contrib -I/usr/X11R6/include -I../../build/Core/.moc -I../../build/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:$$ORIGIN/..' -Wl,-O1 -shared -Wl,-soname,libCore.so
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/eric/Bureau/pack/freediams-0.4.2/bin/plugins -lAggregation -lExtensionSystem -lTranslationUtils -lUtils -lMedicalUtils -lMedinTux -lXext -lX11 -lm -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../build/Core/.obj/unix/

####### Files

SOURCES       = ../coreplugin/actionmanager/command.cpp \
		../coreplugin/actionmanager/actionmanager.cpp \
		../coreplugin/actionmanager/actioncontainer.cpp \
		../coreplugin/actionmanager/mainwindowactionhandler.cpp \
		../coreplugin/contextmanager/contextmanager.cpp \
		../coreplugin/dialogs/aboutdialog.cpp \
		../coreplugin/dialogs/commonaboutpages.cpp \
		../coreplugin/dialogs/debugdialog.cpp \
		../coreplugin/dialogs/commondebugpages.cpp \
		../coreplugin/dialogs/plugindialog.cpp \
		../coreplugin/dialogs/settingsdialog.cpp \
		../coreplugin/dialogs/pluginaboutpage.cpp \
		../coreplugin/dialogs/helpdialog.cpp \
		../coreplugin/dialogs/applicationgeneralpreferences.cpp \
		../coreplugin/uniqueidmanager.cpp \
		../coreplugin/icore.cpp \
		../coreplugin/theme.cpp \
		../coreplugin/translators.cpp \
		../coreplugin/settings.cpp \
		../coreplugin/imainwindow.cpp \
		../coreplugin/filemanager.cpp \
		../coreplugin/ipatient.cpp \
		../coreplugin/iuser.cpp \
		coreplugin.cpp \
		coreimpl.cpp \
		appaboutpage.cpp \
		patient.cpp \
		commandlineparser.cpp \
		user.cpp ../../build/Core/.moc/moc_command_p.cpp \
		../../build/Core/.moc/moc_command.cpp \
		../../build/Core/.moc/moc_actionmanager_p.cpp \
		../../build/Core/.moc/moc_actionmanager.cpp \
		../../build/Core/.moc/moc_mainwindowactionhandler.cpp \
		../../build/Core/.moc/moc_contextmanager_p.cpp \
		../../build/Core/.moc/moc_contextmanager.cpp \
		../../build/Core/.moc/moc_aboutdialog.cpp \
		../../build/Core/.moc/moc_commonaboutpages.cpp \
		../../build/Core/.moc/moc_debugdialog.cpp \
		../../build/Core/.moc/moc_commondebugpages.cpp \
		../../build/Core/.moc/moc_plugindialog.cpp \
		../../build/Core/.moc/moc_settingsdialog.cpp \
		../../build/Core/.moc/moc_pluginaboutpage.cpp \
		../../build/Core/.moc/moc_helpdialog.cpp \
		../../build/Core/.moc/moc_applicationgeneralpreferences.cpp \
		../../build/Core/.moc/moc_icore.cpp \
		../../build/Core/.moc/moc_icorelistener.cpp \
		../../build/Core/.moc/moc_itheme.cpp \
		../../build/Core/.moc/moc_theme.cpp \
		../../build/Core/.moc/moc_translators.cpp \
		../../build/Core/.moc/moc_idebugpage.cpp \
		../../build/Core/.moc/moc_iaboutpage.cpp \
		../../build/Core/.moc/moc_ioptionspage.cpp \
		../../build/Core/.moc/moc_imainwindow.cpp \
		../../build/Core/.moc/moc_filemanager.cpp \
		../../build/Core/.moc/moc_ipatient.cpp \
		../../build/Core/.moc/moc_iuser.cpp \
		../../build/Core/.moc/moc_idocumentprinter.cpp \
		../../build/Core/.moc/moc_coreplugin.cpp \
		../../build/Core/.moc/moc_coreimpl.cpp \
		../../build/Core/.moc/moc_appaboutpage.cpp \
		../../build/Core/.moc/moc_patient.cpp \
		../../build/Core/.moc/moc_user.cpp
OBJECTS       = ../../build/Core/.obj/unix/command.o \
		../../build/Core/.obj/unix/actionmanager.o \
		../../build/Core/.obj/unix/actioncontainer.o \
		../../build/Core/.obj/unix/mainwindowactionhandler.o \
		../../build/Core/.obj/unix/contextmanager.o \
		../../build/Core/.obj/unix/aboutdialog.o \
		../../build/Core/.obj/unix/commonaboutpages.o \
		../../build/Core/.obj/unix/debugdialog.o \
		../../build/Core/.obj/unix/commondebugpages.o \
		../../build/Core/.obj/unix/plugindialog.o \
		../../build/Core/.obj/unix/settingsdialog.o \
		../../build/Core/.obj/unix/pluginaboutpage.o \
		../../build/Core/.obj/unix/helpdialog.o \
		../../build/Core/.obj/unix/applicationgeneralpreferences.o \
		../../build/Core/.obj/unix/uniqueidmanager.o \
		../../build/Core/.obj/unix/icore.o \
		../../build/Core/.obj/unix/theme.o \
		../../build/Core/.obj/unix/translators.o \
		../../build/Core/.obj/unix/settings.o \
		../../build/Core/.obj/unix/imainwindow.o \
		../../build/Core/.obj/unix/filemanager.o \
		../../build/Core/.obj/unix/ipatient.o \
		../../build/Core/.obj/unix/iuser.o \
		../../build/Core/.obj/unix/coreplugin.o \
		../../build/Core/.obj/unix/coreimpl.o \
		../../build/Core/.obj/unix/appaboutpage.o \
		../../build/Core/.obj/unix/patient.o \
		../../build/Core/.obj/unix/commandlineparser.o \
		../../build/Core/.obj/unix/user.o \
		../../build/Core/.obj/unix/moc_command_p.o \
		../../build/Core/.obj/unix/moc_command.o \
		../../build/Core/.obj/unix/moc_actionmanager_p.o \
		../../build/Core/.obj/unix/moc_actionmanager.o \
		../../build/Core/.obj/unix/moc_mainwindowactionhandler.o \
		../../build/Core/.obj/unix/moc_contextmanager_p.o \
		../../build/Core/.obj/unix/moc_contextmanager.o \
		../../build/Core/.obj/unix/moc_aboutdialog.o \
		../../build/Core/.obj/unix/moc_commonaboutpages.o \
		../../build/Core/.obj/unix/moc_debugdialog.o \
		../../build/Core/.obj/unix/moc_commondebugpages.o \
		../../build/Core/.obj/unix/moc_plugindialog.o \
		../../build/Core/.obj/unix/moc_settingsdialog.o \
		../../build/Core/.obj/unix/moc_pluginaboutpage.o \
		../../build/Core/.obj/unix/moc_helpdialog.o \
		../../build/Core/.obj/unix/moc_applicationgeneralpreferences.o \
		../../build/Core/.obj/unix/moc_icore.o \
		../../build/Core/.obj/unix/moc_icorelistener.o \
		../../build/Core/.obj/unix/moc_itheme.o \
		../../build/Core/.obj/unix/moc_theme.o \
		../../build/Core/.obj/unix/moc_translators.o \
		../../build/Core/.obj/unix/moc_idebugpage.o \
		../../build/Core/.obj/unix/moc_iaboutpage.o \
		../../build/Core/.obj/unix/moc_ioptionspage.o \
		../../build/Core/.obj/unix/moc_imainwindow.o \
		../../build/Core/.obj/unix/moc_filemanager.o \
		../../build/Core/.obj/unix/moc_ipatient.o \
		../../build/Core/.obj/unix/moc_iuser.o \
		../../build/Core/.obj/unix/moc_idocumentprinter.o \
		../../build/Core/.obj/unix/moc_coreplugin.o \
		../../build/Core/.obj/unix/moc_coreimpl.o \
		../../build/Core/.obj/unix/moc_appaboutpage.o \
		../../build/Core/.obj/unix/moc_patient.o \
		../../build/Core/.obj/unix/moc_user.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../fmf_plugins.pri \
		../../libs/aggregation.pri \
		../../libs/extensionsystem_dependencies.pri \
		../../libs/extensionsystem.pri \
		../../libs/translationutils.pri \
		../../libs/utils_dependencies.pri \
		../../libs/utils.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/actionmanager/actionmanager.pri \
		../coreplugin/contextmanager/contextmanager.pri \
		../coreplugin/dialogs/dialogs.pri \
		../coreplugin/generals.pri \
		../coreplugin/common_core.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../../libs/medicalutils_dependencies.pri \
		../../libs/medicalutils.pri \
		../../libs/medintuxutils_dependencies.pri \
		../../libs/medintuxutils.pri \
		fdcoreplugin_dependencies.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		fdcoreplugin.pro
QMAKE_TARGET  = Core
DESTDIR       = ../../bin/plugins/
TARGET        = libCore.so
TARGETD       = libCore.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../bin/plugins/$(TARGET)

../../bin/plugins/$(TARGET): ../../bin/plugins/Core.pluginspec ../../build/.ui/ui_aboutdialog.h ../../build/.ui/ui_debugdialog.h ../../build/.ui/ui_settingsdialog.h ../../build/.ui/ui_applicationgeneralpreferences.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../bin/plugins/ || $(MKDIR) ../../bin/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../bin/plugins/



Makefile: fdcoreplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../buildspecs/config_paths.pri \
		../../buildspecs/config_linux.pri \
		../../config.pri \
		../fmf_plugins.pri \
		../../libs/aggregation.pri \
		../../libs/extensionsystem_dependencies.pri \
		../../libs/extensionsystem.pri \
		../../libs/translationutils.pri \
		../../libs/utils_dependencies.pri \
		../../libs/utils.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/actionmanager/actionmanager.pri \
		../coreplugin/contextmanager/contextmanager.pri \
		../coreplugin/dialogs/dialogs.pri \
		../coreplugin/generals.pri \
		../coreplugin/common_core.pri \
