=== debian/changelog ===
freediams (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #588632)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Jul 2010 19:03:40 +0200
