=== debian/control ===
Source: freediams
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@free.fr>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.1), libqt4-dev (>= 4.6.2), doxygen (>= 1.5.8), libxext-dev, quilt (>= 0.47), zlib1g-dev
Standards-Version: 3.9.0
Homepage: http://www.freemedforms.com/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/freediams/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/freediams/trunk/

Package: freediams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtcore4 (>= 4.4.3), libqtgui4 (>= 4.4.3), libqt4-sql-sqlite, libqt4-xml,
 libqt4-network, libqt4-svg, freediams-data (= ${source:Version})
Suggests: freediams-doc
Description: Pharmaceutical drugs prescriptor
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.

Package: freediams-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: freediams
Description: Data for pharmaceutical drugs prescriptor FreeDiams
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.
 .
 This package contains the architecture independent data.

Package: freediams-doc-en
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: freediams
Provides: freediams-doc
Description: Documentation for pharmaceutical drugs prescriptor FreeDiams
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.
 .
 This package contains the English documentation of freediams.

Package: freediams-doc-fr
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: freediams
Provides: freediams-doc
Description: Documentation for pharmaceutical drugs prescriptor FreeDiams
 FreeDiams prescriber is the result of FreeMedForms prescriber plugins
 built into a standalone application.  It is developed by medical doctors
 and is intended for use by these same professionals. It can be used
 alone to prescribe and / or test drug interactions within a
 prescription.  It can be linked to any application thanks to its command
 line parameters.
 .
 FreeDiams can use multiple drugs database. Are currently available:
 Drugs database for Canada, the USA and for France. Only The french
 drugs database allows the calculation of drug interactions through data
 issued from the French governemental AFSSAPS.  Work is in progress to
 implement drugs interactions in all drugs databases using the ATC drug's
 molecules code.
 .
 FreeDiams can be used with GNUMed EMR, MedinTux EMR and is fully
 integrated in the FreeMedForms open source EMR.
 .
 This package contains the French documentation of freediams.
